#include <stdio.h>
#include <stdlib.h>
#include "utils.h"


int main() {
    
    int num = 0;
    VecData* vecs = fvecs_read("../dataset/siftsmall_base.fvecs", NULL, &num);
    printf("num: %d\n", num);
    printf("id of vector 1: %d\n", vecs[0].id);
    printf("test distance: %f\n", vec_dist(vecs[0], vecs[1]));

    // Free memory
    for (int i = 0; i < num; i++) {
        free(vecs[i].vector);
    }
    free(vecs);
    return 0;
}

